Requirements

  • PHP version

    PHP 5.6.4 or higher is required.

  • OpenSSL Extension

    OpenSSL PHP Extension is required.

  • Mbstring PHP Extension

    Mbstring PHP Extension is required.

  • PDO PHP extension

    PDO PHP extension is required.

  • Tokenizer PHP Extension

    Tokenizer PHP Extension is required.

  • XML PHP Extension

    XML PHP Extension is required.

  • PHP Zip Archive

    PHP Zip Archive is required.

  • PHP GD Library

    PHP GD Library is required.

Permissions

  • bootstrap/cache/

    The directory must be writable by the web server (0775).

  • public_html/uploads/

    The directory must be writable by the web server (0775).

  • storage/app/

    The directory must be writable by the web server (0775).

  • storage/framework/

    The directory must be writable by the web server (0775).

  • storage/logs/

    The directory must be writable by the web server (0775).